Show the localised value for "thumb" in the help section of the toolbar
Closed, ResolvedPublic

Description

The example in the "help" section of the toolbar uses the canonical "thumb" in the example. Since the localized value now is available, it should be used there, too.


Version: unspecified
Severity: enhancement

Details

Reference
bz38831
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz38831.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Jul 30 2012, 8:15 AM

Can't the translators put that in?

No, since "thumb" must be localized in the wiki's language, while the help text is in the user's language. This is the same as for the namespace, this too is localized in the wiki's language.

TheDJ added a comment.Dec 8 2014, 10:00 AM

Namespaces in JS are exposed trough wgFormattedNamespaces, but most parts of the localized wiki syntax is not exposed in any way whatsoever and this includes things like the 'thumb' param.

To do so would probably require a new ResourceLoader module specifically for this, as we also have a specific mediawiki.language.months module.

The localization for thumb is already available:

mw.config.get('wgWikiEditorMagicWords').img_thumbnail

Change 178180 had a related patch set uploaded (by TheDJ):
Toolbar help: Make magic word from help string a param

https://gerrit.wikimedia.org/r/178180

Patch-For-Review

Change 178180 merged by jenkins-bot:
Toolbar help: Make magic word from help string a param

https://gerrit.wikimedia.org/r/178180

Jdforrester-WMF renamed this task from Show the localized value for "thumb" in the help section of the toolbar to Show the localised value for "thumb" in the help section of the toolbar.Jan 5 2015, 1:35 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF set Security to None.

Checked in betalabs:
English: <span>[[File:Example.png|thumb|Caption text]]</span>
German: <span>[[Datei:Beispiel.png|miniatur|Beschreibung]]</span>

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:46 AM